%define name test-harness-apache
%define version 1.3.26
%define release 1mdk

Name: %{name}
Summary: Package to test the Mandrake RPM of Apache
Version: %{version}
Release: %{release}
Source: http://ben.reser.org/mandrake/test-harness/%{name}-%{version}.tar.bz2
URL: http://ben.reser.org/cvsweb/test-harness/apache/
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
License: GPL
Requires: perl >= 5.600 perl-libwww-perl

%description
Package to test the Mandrake PRM of Apache.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}

%install
mkdir -p -m 755 %{buildroot}/%{_var}/www/html
install -m 644 test-harness-apache.html %{buildroot}/%{_var}/www/html
install -m 644 test-harness-apache.shtml %{buildroot}/%{_var}/www/html
install -m 644 test-harness-apache-include.shtml %{buildroot}/%{_var}/www/html
install -m 644 test-harness-apache-ssl.html %{buildroot}/%{_var}/www/html
install -m 644 test-harness-apache-gzip.html %{buildroot}/%{_var}/www/html
install -m 644 test-harness-apache.php %{buildroot}/%{_var}/www/html
install -m 644 var-www-html-htaccess %{buildroot}/%{_var}/www/html/.htaccess
mkdir -p -m 755 %{buildroot}/%{_var}/www/cgi-bin
install -m 755 test-harness-apache.cgi %{buildroot}/%{_var}/www/cgi-bin
install -m 644 var-www-cgi-bin-htaccess %{buildroot}/%{_var}/www/cgi-bin/.htaccess
mkdir -p -m 755 %{buildroot}/%{_var}/www/perl
install -m 755 test-harness-apache.pl %{buildroot}/%{_var}/www/perl
mkdir -p -m 755 %{buildroot}/%{_bindir}
install -m 755 test-harness-apache %{buildroot}/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0644)
%{_var}/www/*/*
%config(noreplace) %{_var}/www/html/.htaccess
%config(noreplace) %{_var}/www/cgi-bin/.htaccess
%{_bindir}/*

%changelog
* Sat Jun 29 2002 Ben Reser <ben@reser.org>
- First release
